import * as React from 'react';
export interface ProviderProps<T> {
    initial?: T;
}
export declare type PrevState<T> = (prevState: T) => T;
export declare type GetFn<T> = (state: T) => React.ReactNode;
export interface State<T> {
    get: (fn: GetFn<T>) => React.ReactNode;
    set: (param: T | PrevState<T>) => void;
    Provider: React.ComponentType<ProviderProps<T>>;
}
export declare function create<T = any>(initial?: T): State<T>;
